<?php

namespace Entity\Model\Metadata;

use Entity\Model\FacDematFlow;

/**
 * Store the reason code for status "Refus"
 * @property string $reasonCode
 * @property string $comment
 */
class FacDematRefus extends EntityMeta
{
    /**
     * @param int $flowId FAC_DEMAT_FLOW.ID
     */
    public function __construct(int $flowId, string $reasonCode, string $comment)
    {
        parent::__construct(
            EntityMetaQb::getEntityType(FacDematFlow::class),
            (string) $flowId,
            0,
            [
                'reasonCode' => $reasonCode,
                'comment' => $comment,
            ]
        );
    }

    public function getReasonCode() :string
    {
        return $this->reasonCode;
    }

    public function getComment() :string
    {
        return $this->comment;
    }
}
